GMTOffsetFromTz {oce} | R Documentation

## Determine time offset from timezone

### Description

Determine time offset from timezone

### Usage

    GMTOffsetFromTz(tz)

### Arguments

`tz` | a timezone, e.g. `UTC`.

### Details

The data are from http://www.timeanddate.com/library/abbreviations/timezones/ and were hand-edited to develop this code, so there may be errors. Also, note that some of these contradict; if you examine the code, you'll see some commented-out portions that represent solving conflicting definitions by choosing the more common timezone abbreviation over a the less common one.

### Value

Number of hours in offset, e.g. `AST` yields 4.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    cat("Atlantic Standard Time is ", GMTOffsetFromTz("AST"), "hours after UTC")

[Package oce version 0.9-18 Index]